@import "@/assets/variables.scss";
@import "./sidebar.scss";
@import "./mainbar.scss";
.main {
  .main-container {
    position: relative;
    display: flex;
    flex: 1;

    .chat-box {
      width: 0;
      .chat-container {
        display: none;
      }

      &.active {
        width: 290px;
        border-left: 1px solid $borderChatColor;
        border-right: 1px solid $borderChatColor;
        background-color: $light;
        .chat-container {
          display: block;
        }
      }

      @media screen and (max-width: 575px) {
        display: none;
      }
    }

    .show-chat-btn {
      position: relative;
      top: 30px;
      right: -10px;
      button {
        display: block;
        cursor: pointer;
        width: 44px;
        height: 44px;
        border-radius: 50px;
        border: none;
        background-color: $blue;
      }

      &.active {
        button {
          display: none;
        }
      }
    }
    @media screen and (max-width: 575px) {
      .sidebar {
        display: none;
      }
    }

    @media screen and (max-width: 575px) {
      .mainbar {
        width: 100%;
        .mainbar-page {
          width: 100%;
          margin: 0;
          padding: 42px 0;
          .mainbar-box {
            padding: 0 15px;
            .features-box {
              .title {
                width: 222px;
              }

              .description {
                width: 192px;
                span {
                  line-height: 27px;
                }
              }

              .presents-box {
                display: none;
              }

              .mobile {
                display: block;
                margin-top: 30px;
              }
            }

            .slider {
              .slick-prev {
                left: 0;
              }

              .slick-next {
                right: 0;
              }
            }

            .verification-box {
              .verification-body {
                .upload-button {
                  button {
                    width: 227px;
                    padding: 10px 30px;
                  }
                }
              }
            }

            .personal-box {
              .personal-information {
                .form-content {
                  form {
                    .item input[type="text"] {
                      width: 97%;
                    }

                    .first-box {
                      flex-direction: column;
                      .left-side {
                        width: 100%;
                      }

                      .right-side {
                        width: 100%;
                      }
                    }

                    .second-box {
                      .text {
                        height: auto;
                      }

                      .minmax {
                        flex-direction: column;

                        .minimum {
                          margin-right: 0;
                          margin-bottom: 15px;
                        }
                      }
                    }

                    .buttons-box {
                      flex-direction: column;

                      .left-side {
                        width: 100%;
                        margin-bottom: 15px;
                        .profile {
                          button {
                            width: 100%;
                          }
                        }
                      }

                      .right-side {
                        flex-direction: column;
                        .cancel {
                          margin: 0 0 15px 0;
                          button {
                            width: 100%;
                          }
                        }

                        .save {
                          button {
                            width: 100%;
                          }
                        }
                      }
                    }
                  }
                }

                .upgrade-box {
                  .title {
                    width: 280px;
                    span {
                      line-height: 40px;
                    }
                  }

                  .list-box {
                    .status-box-top {
                      flex-direction: column;
                      .response {
                        width: 100%;
                        margin-bottom: 15px;
                      }
                      .intention {
                        width: 100%;
                        margin: 0;
                        margin-bottom: 15px;
                      }
                    }

                    .status-box-bottom {
                      flex-direction: column;
                      margin: 0;
                      .result {
                        width: 100%;
                        margin-bottom: 15px;
                      }

                      .vip {
                        width: 100%;
                        margin: 0;
                      }
                    }
                  }

                  .low-title {
                    width: 280px;
                  }

                  .premium-cards {
                    flex-direction: column;

                    .item-box {
                      .blue-button {
                        margin-bottom: 38px;
                      }

                      &:nth-child(2) {
                        margin: 0;
                      }
                    }
                  }
                }
              }
            }
          }
        }

        .chat-box {
          &.active {
            display: none;
          }
        }
      }
    }
  }
}
